Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class HttpURLConnection

    java.lang.Object
      |
      +--java.net.URLConnection
            |
            +--java.net.HttpURLConnection
                  |
                  +--org.w3c.www.protocol.http.HttpURLConnection

public class HttpURLConnection
extends java.net.HttpURLConnection

Field Summary
`protected java.io.ByteArrayOutputStream` | `output`
`protected Reply` | `reply`
`protected Request` | `request`

Fields inherited from class java.net.HttpURLConnection
`HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Method Summary
`protected void` | `checkReply()`
`protected void` | `checkRequest()`
`void` | `connect()`
`protected void` | `debug(java.lang.String m)`
`void` | `disconnect()`
`protected void` | `error(java.lang.String msg)`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`long` | `getDate()`
`static java.lang.String` | `getDefaultRequestProperty(java.lang.String key)`
`java.io.InputStream` | `getErrorStream()`
`long` | `getExpiration()`
`java.lang.String` | `getHeaderField(int n)`
`java.lang.String` | `getHeaderField(java.lang.String name)`
`java.lang.String` | `getHeaderFieldKey(int n)`
`java.io.InputStream` | `getInputStream()`
`long` | `getLastModified()`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getRequestProperty(java.lang.String key)`
`int` | `getResponseCode()`
`void` | `setDoOutput(boolean doinput)`
`static void` | `setGlobalRequestProperty(java.lang.String key, java.lang.String value)`
`void` | `setRequestProperty(java.lang.String key, java.lang.String value)`
`boolean` | `usingProxy()`

Methods inherited from class java.net.HttpURLConnection
`getFollowRedirects, getPermission, getRequestMethod, getResponseMessage, setFollowRedirects, setRequestMethod`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContentEncoding, getDefaultAllowUserInteraction, getDefaultUseCaches, getDoInput, getDoOutput, getFileNameMap, getHeaderFieldDate, getHeaderFieldInt, getIfModifiedSince, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    protected Request request

### reply

    protected Reply reply

### output

    protected java.io.ByteArrayOutputStream output

Method Detail

### checkRequest

    protected final void checkRequest()

### checkReply

    protected final void checkReply()

### error

    protected void error(java.lang.String msg)

### debug

    protected final void debug(java.lang.String m)

### usingProxy

    public boolean usingProxy()

  Overrides:
    usingProxy in class java.net.HttpURLConnection

### disconnect

    public void disconnect()

  Overrides:
    disconnect in class java.net.HttpURLConnection

### connect

    public void connect()
                 throws java.io.IOException

  Overrides:
    connect in class java.net.URLConnection

### getResponseCode

    public int getResponseCode()
                        throws java.io.IOException

  Overrides:
    getResponseCode in class java.net.HttpURLConnection

### getContentLength

    public int getContentLength()

  Overrides:
    getContentLength in class java.net.URLConnection

### getContentType

    public java.lang.String getContentType()

  Overrides:
    getContentType in class java.net.URLConnection

### getExpiration

    public long getExpiration()

  Overrides:
    getExpiration in class java.net.URLConnection

### getDate

    public long getDate()

  Overrides:
    getDate in class java.net.URLConnection

### getLastModified

    public long getLastModified()

  Overrides:
    getLastModified in class java.net.URLConnection

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String name)

  Overrides:
    getHeaderField in class java.net.URLConnection

### getHeaderFieldKey

    public java.lang.String getHeaderFieldKey(int n)

  Overrides:
    getHeaderFieldKey in class java.net.URLConnection

### getHeaderField

    public java.lang.String getHeaderField(int n)

  Overrides:
    getHeaderField in class java.net.URLConnection

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    getInputStream in class java.net.URLConnection

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    getOutputStream in class java.net.URLConnection

### getErrorStream

    public java.io.InputStream getErrorStream()

  Overrides:
    getErrorStream in class java.net.HttpURLConnection

### setRequestProperty

    public void setRequestProperty(java.lang.String key,
                                   java.lang.String value)

  Overrides:
    setRequestProperty in class java.net.URLConnection

### getRequestProperty

    public java.lang.String getRequestProperty(java.lang.String key)

  Overrides:
    getRequestProperty in class java.net.URLConnection

### setGlobalRequestProperty

    public static void setGlobalRequestProperty(java.lang.String key,
                                                java.lang.String value)

### getDefaultRequestProperty

    public static java.lang.String getDefaultRequestProperty(java.lang.String key)

### setDoOutput

    public void setDoOutput(boolean doinput)

  Overrides:
    setDoOutput in class java.net.URLConnection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD